import { initializeApp } from "firebase/app";
import { getMessaging } from "firebase/messaging";
import { getAnalytics } from "firebase/analytics";

export default defineNuxtPlugin((nuxtApp) => {
  const firebaseConfig = {
    apiKey: "AIzaSyCtHFyfCRkBt8MX5LPFogBi8ssKSypkW0g",
    authDomain: "wrbapp.firebaseapp.com",
    projectId: "wrbapp",
    storageBucket: "wrbapp.appspot.com",
    messagingSenderId: "160377508482",
    appId: "1:160377508482:web:f651ccf2b242daf4879a9b",
    measurementId: "G-31HEXDSVPZ"
  };
  
  const app = initializeApp(firebaseConfig);

  try {
    const messaging = getMessaging(app);
  } catch {}
  
  const analytics = getAnalytics(app);
})
